#include <stdio.h>
#define byte unsigned char
FILE *fin, *fout;

void Encode()
{
 int p=0,c;
 while ((c=getc(fin))!=EOF)
  {
   putc((unsigned char)c-p,fout);
   p=c;
  }
}

void Decode()
{
 int p=0,c;
 while ((c=getc(fin))!=EOF)
  {
   putc((unsigned char)c+p,fout);
   p=(c+p)&255;
  }
}

int main(int argc, char **argv)
{
 if (argc!=4)
  {
   printf("Tranf.exe e|d file1 file2\n");
   printf("e - encode, d - decode\n");
   printf("file1 - source, file2 - destination\n");
   return 1;
  }
 fin=fopen(argv[2],"rb");
 fout=fopen(argv[3],"wb");
 if (fin!=NULL && fout!=NULL)
  {
   if (argv[1][0]=='e')
    Encode();
   else if (argv[1][0]=='d')
    Decode();
   fclose(fin);
   fclose(fout);
   return 0;
  }
 return 1;
}